/*
 * $Id$
 *
 * Copyright (C) 2007  Kipp Cannon
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */


#ifndef _FREQUENCYSERIES_H
#define _FREQUENCYSERIES_H


#include <stddef.h>
#include <lal/LALDatatypes.h>

#include <lal/LALRCSID.h>
NRCSID(FREQUENCYSERIESH, "$Id:");



/* <lalLaTeX file="FrequencySeriesDestroyP">
\idx{XLALDestroyCOMPLEX8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesDestroyP"> */
void XLALDestroyCOMPLEX8FrequencySeries (
	COMPLEX8FrequencySeries *series
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCreateP">
\idx{XLALCreateCOMPLEX8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCreateP"> */
COMPLEX8FrequencySeries *XLALCreateCOMPLEX8FrequencySeries (
	const CHAR *name,
	const LIGOTimeGPS *epoch,
	REAL8 f0,
	REAL8 deltaF,
	const LALUnit *sampleUnits,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCutP">
\idx{XLALCutCOMPLEX8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCutP"> */
COMPLEX8FrequencySeries *XLALCutCOMPLEX8FrequencySeries (
	const COMPLEX8FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALResizeCOMPLEX8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
COMPLEX8FrequencySeries *XLALResizeCOMPLEX8FrequencySeries (
	COMPLEX8FrequencySeries *series,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALShrinkCOMPLEX8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
COMPLEX8FrequencySeries *XLALShrinkCOMPLEX8FrequencySeries (
	COMPLEX8FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesAddP">
\idx{XLALAddCOMPLEX8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesAddP"> */
COMPLEX8FrequencySeries *XLALAddCOMPLEX8FrequencySeries (
	COMPLEX8FrequencySeries *arg1,
	const COMPLEX8FrequencySeries *arg2
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesConjugateP">
\idx{XLALConjugateCOMPLEX8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesConjugateP"> */
COMPLEX8FrequencySeries *XLALConjugateCOMPLEX8FrequencySeries (
        COMPLEX8FrequencySeries *series
);
/* </lalVerbatim> */


/* <lalLaTeX file="FrequencySeriesMultiplyP">
\idx{XLALMultiplyCOMPLEX8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesMultiplyP"> */
COMPLEX8FrequencySeries *XLALMultiplyCOMPLEX8FrequencySeries (
	COMPLEX8FrequencySeries *arg1,
	const COMPLEX8FrequencySeries *arg2
);
/* </lalVerbatim> */




/* <lalLaTeX file="FrequencySeriesDestroyP">
\idx{XLALDestroyCOMPLEX16FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesDestroyP"> */
void XLALDestroyCOMPLEX16FrequencySeries (
	COMPLEX16FrequencySeries *series
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCreateP">
\idx{XLALCreateCOMPLEX16FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCreateP"> */
COMPLEX16FrequencySeries *XLALCreateCOMPLEX16FrequencySeries (
	const CHAR *name,
	const LIGOTimeGPS *epoch,
	REAL8 f0,
	REAL8 deltaF,
	const LALUnit *sampleUnits,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCutP">
\idx{XLALCutCOMPLEX16FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCutP"> */
COMPLEX16FrequencySeries *XLALCutCOMPLEX16FrequencySeries (
	const COMPLEX16FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALResizeCOMPLEX16FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
COMPLEX16FrequencySeries *XLALResizeCOMPLEX16FrequencySeries (
	COMPLEX16FrequencySeries *series,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALShrinkCOMPLEX16FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
COMPLEX16FrequencySeries *XLALShrinkCOMPLEX16FrequencySeries (
	COMPLEX16FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesAddP">
\idx{XLALAddCOMPLEX16FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesAddP"> */
COMPLEX16FrequencySeries *XLALAddCOMPLEX16FrequencySeries (
	COMPLEX16FrequencySeries *arg1,
	const COMPLEX16FrequencySeries *arg2
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesConjugateP">
\idx{XLALConjugateCOMPLEX16FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesConjugateP"> */
COMPLEX16FrequencySeries *XLALConjugateCOMPLEX16FrequencySeries (
        COMPLEX16FrequencySeries *series
);
/* </lalVerbatim> */


/* <lalLaTeX file="FrequencySeriesMultiplyP">
\idx{XLALMultiplyCOMPLEX16FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesMultiplyP"> */
COMPLEX16FrequencySeries *XLALMultiplyCOMPLEX16FrequencySeries (
	COMPLEX16FrequencySeries *arg1,
	const COMPLEX16FrequencySeries *arg2
);
/* </lalVerbatim> */




/* <lalLaTeX file="FrequencySeriesDestroyP">
\idx{XLALDestroyREAL4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesDestroyP"> */
void XLALDestroyREAL4FrequencySeries (
	REAL4FrequencySeries *series
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCreateP">
\idx{XLALCreateREAL4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCreateP"> */
REAL4FrequencySeries *XLALCreateREAL4FrequencySeries (
	const CHAR *name,
	const LIGOTimeGPS *epoch,
	REAL8 f0,
	REAL8 deltaF,
	const LALUnit *sampleUnits,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCutP">
\idx{XLALCutREAL4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCutP"> */
REAL4FrequencySeries *XLALCutREAL4FrequencySeries (
	const REAL4FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALResizeREAL4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
REAL4FrequencySeries *XLALResizeREAL4FrequencySeries (
	REAL4FrequencySeries *series,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALShrinkREAL4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
REAL4FrequencySeries *XLALShrinkREAL4FrequencySeries (
	REAL4FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesAddP">
\idx{XLALAddREAL4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesAddP"> */
REAL4FrequencySeries *XLALAddREAL4FrequencySeries (
	REAL4FrequencySeries *arg1,
	const REAL4FrequencySeries *arg2
);
/* </lalVerbatim> */



/* <lalLaTeX file="FrequencySeriesMultiplyP">
\idx{XLALMultiplyREAL4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesMultiplyP"> */
REAL4FrequencySeries *XLALMultiplyREAL4FrequencySeries (
	REAL4FrequencySeries *arg1,
	const REAL4FrequencySeries *arg2
);
/* </lalVerbatim> */




/* <lalLaTeX file="FrequencySeriesDestroyP">
\idx{XLALDestroyREAL8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesDestroyP"> */
void XLALDestroyREAL8FrequencySeries (
	REAL8FrequencySeries *series
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCreateP">
\idx{XLALCreateREAL8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCreateP"> */
REAL8FrequencySeries *XLALCreateREAL8FrequencySeries (
	const CHAR *name,
	const LIGOTimeGPS *epoch,
	REAL8 f0,
	REAL8 deltaF,
	const LALUnit *sampleUnits,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCutP">
\idx{XLALCutREAL8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCutP"> */
REAL8FrequencySeries *XLALCutREAL8FrequencySeries (
	const REAL8FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALResizeREAL8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
REAL8FrequencySeries *XLALResizeREAL8FrequencySeries (
	REAL8FrequencySeries *series,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALShrinkREAL8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
REAL8FrequencySeries *XLALShrinkREAL8FrequencySeries (
	REAL8FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesAddP">
\idx{XLALAddREAL8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesAddP"> */
REAL8FrequencySeries *XLALAddREAL8FrequencySeries (
	REAL8FrequencySeries *arg1,
	const REAL8FrequencySeries *arg2
);
/* </lalVerbatim> */



/* <lalLaTeX file="FrequencySeriesMultiplyP">
\idx{XLALMultiplyREAL8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesMultiplyP"> */
REAL8FrequencySeries *XLALMultiplyREAL8FrequencySeries (
	REAL8FrequencySeries *arg1,
	const REAL8FrequencySeries *arg2
);
/* </lalVerbatim> */




/* <lalLaTeX file="FrequencySeriesDestroyP">
\idx{XLALDestroyINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesDestroyP"> */
void XLALDestroyINT2FrequencySeries (
	INT2FrequencySeries *series
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCreateP">
\idx{XLALCreateINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCreateP"> */
INT2FrequencySeries *XLALCreateINT2FrequencySeries (
	const CHAR *name,
	const LIGOTimeGPS *epoch,
	REAL8 f0,
	REAL8 deltaF,
	const LALUnit *sampleUnits,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCutP">
\idx{XLALCutINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCutP"> */
INT2FrequencySeries *XLALCutINT2FrequencySeries (
	const INT2FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALResizeINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
INT2FrequencySeries *XLALResizeINT2FrequencySeries (
	INT2FrequencySeries *series,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALShrinkINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
INT2FrequencySeries *XLALShrinkINT2FrequencySeries (
	INT2FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesAddP">
\idx{XLALAddINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesAddP"> */
INT2FrequencySeries *XLALAddINT2FrequencySeries (
	INT2FrequencySeries *arg1,
	const INT2FrequencySeries *arg2
);
/* </lalVerbatim> */



/* <lalLaTeX file="FrequencySeriesMultiplyP">
\idx{XLALMultiplyINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesMultiplyP"> */
INT2FrequencySeries *XLALMultiplyINT2FrequencySeries (
	INT2FrequencySeries *arg1,
	const INT2FrequencySeries *arg2
);
/* </lalVerbatim> */




/* <lalLaTeX file="FrequencySeriesDestroyP">
\idx{XLALDestroyINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesDestroyP"> */
void XLALDestroyINT4FrequencySeries (
	INT4FrequencySeries *series
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCreateP">
\idx{XLALCreateINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCreateP"> */
INT4FrequencySeries *XLALCreateINT4FrequencySeries (
	const CHAR *name,
	const LIGOTimeGPS *epoch,
	REAL8 f0,
	REAL8 deltaF,
	const LALUnit *sampleUnits,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCutP">
\idx{XLALCutINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCutP"> */
INT4FrequencySeries *XLALCutINT4FrequencySeries (
	const INT4FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALResizeINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
INT4FrequencySeries *XLALResizeINT4FrequencySeries (
	INT4FrequencySeries *series,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALShrinkINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
INT4FrequencySeries *XLALShrinkINT4FrequencySeries (
	INT4FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesAddP">
\idx{XLALAddINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesAddP"> */
INT4FrequencySeries *XLALAddINT4FrequencySeries (
	INT4FrequencySeries *arg1,
	const INT4FrequencySeries *arg2
);
/* </lalVerbatim> */



/* <lalLaTeX file="FrequencySeriesMultiplyP">
\idx{XLALMultiplyINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesMultiplyP"> */
INT4FrequencySeries *XLALMultiplyINT4FrequencySeries (
	INT4FrequencySeries *arg1,
	const INT4FrequencySeries *arg2
);
/* </lalVerbatim> */




/* <lalLaTeX file="FrequencySeriesDestroyP">
\idx{XLALDestroyINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesDestroyP"> */
void XLALDestroyINT8FrequencySeries (
	INT8FrequencySeries *series
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCreateP">
\idx{XLALCreateINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCreateP"> */
INT8FrequencySeries *XLALCreateINT8FrequencySeries (
	const CHAR *name,
	const LIGOTimeGPS *epoch,
	REAL8 f0,
	REAL8 deltaF,
	const LALUnit *sampleUnits,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCutP">
\idx{XLALCutINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCutP"> */
INT8FrequencySeries *XLALCutINT8FrequencySeries (
	const INT8FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALResizeINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
INT8FrequencySeries *XLALResizeINT8FrequencySeries (
	INT8FrequencySeries *series,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALShrinkINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
INT8FrequencySeries *XLALShrinkINT8FrequencySeries (
	INT8FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesAddP">
\idx{XLALAddINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesAddP"> */
INT8FrequencySeries *XLALAddINT8FrequencySeries (
	INT8FrequencySeries *arg1,
	const INT8FrequencySeries *arg2
);
/* </lalVerbatim> */



/* <lalLaTeX file="FrequencySeriesMultiplyP">
\idx{XLALMultiplyINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesMultiplyP"> */
INT8FrequencySeries *XLALMultiplyINT8FrequencySeries (
	INT8FrequencySeries *arg1,
	const INT8FrequencySeries *arg2
);
/* </lalVerbatim> */




/* <lalLaTeX file="FrequencySeriesDestroyP">
\idx{XLALDestroyUINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesDestroyP"> */
void XLALDestroyUINT2FrequencySeries (
	UINT2FrequencySeries *series
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCreateP">
\idx{XLALCreateUINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCreateP"> */
UINT2FrequencySeries *XLALCreateUINT2FrequencySeries (
	const CHAR *name,
	const LIGOTimeGPS *epoch,
	REAL8 f0,
	REAL8 deltaF,
	const LALUnit *sampleUnits,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCutP">
\idx{XLALCutUINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCutP"> */
UINT2FrequencySeries *XLALCutUINT2FrequencySeries (
	const UINT2FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALResizeUINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
UINT2FrequencySeries *XLALResizeUINT2FrequencySeries (
	UINT2FrequencySeries *series,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALShrinkUINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
UINT2FrequencySeries *XLALShrinkUINT2FrequencySeries (
	UINT2FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesAddP">
\idx{XLALAddUINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesAddP"> */
UINT2FrequencySeries *XLALAddUINT2FrequencySeries (
	UINT2FrequencySeries *arg1,
	const UINT2FrequencySeries *arg2
);
/* </lalVerbatim> */



/* <lalLaTeX file="FrequencySeriesMultiplyP">
\idx{XLALMultiplyUINT2FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesMultiplyP"> */
UINT2FrequencySeries *XLALMultiplyUINT2FrequencySeries (
	UINT2FrequencySeries *arg1,
	const UINT2FrequencySeries *arg2
);
/* </lalVerbatim> */




/* <lalLaTeX file="FrequencySeriesDestroyP">
\idx{XLALDestroyUINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesDestroyP"> */
void XLALDestroyUINT4FrequencySeries (
	UINT4FrequencySeries *series
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCreateP">
\idx{XLALCreateUINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCreateP"> */
UINT4FrequencySeries *XLALCreateUINT4FrequencySeries (
	const CHAR *name,
	const LIGOTimeGPS *epoch,
	REAL8 f0,
	REAL8 deltaF,
	const LALUnit *sampleUnits,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCutP">
\idx{XLALCutUINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCutP"> */
UINT4FrequencySeries *XLALCutUINT4FrequencySeries (
	const UINT4FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALResizeUINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
UINT4FrequencySeries *XLALResizeUINT4FrequencySeries (
	UINT4FrequencySeries *series,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALShrinkUINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
UINT4FrequencySeries *XLALShrinkUINT4FrequencySeries (
	UINT4FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesAddP">
\idx{XLALAddUINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesAddP"> */
UINT4FrequencySeries *XLALAddUINT4FrequencySeries (
	UINT4FrequencySeries *arg1,
	const UINT4FrequencySeries *arg2
);
/* </lalVerbatim> */



/* <lalLaTeX file="FrequencySeriesMultiplyP">
\idx{XLALMultiplyUINT4FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesMultiplyP"> */
UINT4FrequencySeries *XLALMultiplyUINT4FrequencySeries (
	UINT4FrequencySeries *arg1,
	const UINT4FrequencySeries *arg2
);
/* </lalVerbatim> */




/* <lalLaTeX file="FrequencySeriesDestroyP">
\idx{XLALDestroyUINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesDestroyP"> */
void XLALDestroyUINT8FrequencySeries (
	UINT8FrequencySeries *series
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCreateP">
\idx{XLALCreateUINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCreateP"> */
UINT8FrequencySeries *XLALCreateUINT8FrequencySeries (
	const CHAR *name,
	const LIGOTimeGPS *epoch,
	REAL8 f0,
	REAL8 deltaF,
	const LALUnit *sampleUnits,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesCutP">
\idx{XLALCutUINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesCutP"> */
UINT8FrequencySeries *XLALCutUINT8FrequencySeries (
	const UINT8FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALResizeUINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
UINT8FrequencySeries *XLALResizeUINT8FrequencySeries (
	UINT8FrequencySeries *series,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesShrinkP">
\idx{XLALShrinkUINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesShrinkP"> */
UINT8FrequencySeries *XLALShrinkUINT8FrequencySeries (
	UINT8FrequencySeries *series,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="FrequencySeriesAddP">
\idx{XLALAddUINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesAddP"> */
UINT8FrequencySeries *XLALAddUINT8FrequencySeries (
	UINT8FrequencySeries *arg1,
	const UINT8FrequencySeries *arg2
);
/* </lalVerbatim> */



/* <lalLaTeX file="FrequencySeriesMultiplyP">
\idx{XLALMultiplyUINT8FrequencySeries ()}
</lalLaTeX> <lalVerbatim file="FrequencySeriesMultiplyP"> */
UINT8FrequencySeries *XLALMultiplyUINT8FrequencySeries (
	UINT8FrequencySeries *arg1,
	const UINT8FrequencySeries *arg2
);
/* </lalVerbatim> */



#endif  /* _FREQUENCYSERIES_H */
