/*
 * LALVCSInfo.h.in - LAL VCS Information Header
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with with program; see the file COPYING. If not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Copyright (C) 2009 Adam Mercer
 */

#ifndef _LALVCSINFO_H
#define _LALVCSINFO_H

#include <lal/LALConfig.h>

#ifdef __cplusplus
extern "C" {
#endif

/* vcs information defines */
#define LAL_VCS_ID "0ba4b16915434b5477282639eaef92d6faf20761"
#define LAL_VCS_DATE "2010-05-11 19:07:36 +0000"
#define LAL_VCS_BRANCH "None"
#define LAL_VCS_TAG "lal_6_4_1_release"
#define LAL_VCS_AUTHOR "Adam Mercer <adam.mercer@ligo.org>"
#define LAL_VCS_COMMITTER "Adam Mercer <adam.mercer@ligo.org>"
#define LAL_VCS_STATUS "CLEAN: All modifications committed"

/* vcs information defines - identable*/
#define LAL_VCS_IDENT_ID "$" "LALId: 0ba4b16915434b5477282639eaef92d6faf20761 " "$"
#define LAL_VCS_IDENT_DATE "$" "LALDate: 2010-05-11 19:07:36 +0000 " "$"
#define LAL_VCS_IDENT_BRANCH "$" "LALBranch: None " "$"
#define LAL_VCS_IDENT_TAG "$" "LALTag: lal_6_4_1_release " "$"
#define LAL_VCS_IDENT_AUTHOR "$" "LALAuthor: Adam Mercer <adam.mercer@ligo.org> " "$"
#define LAL_VCS_IDENT_COMMITTER "$" "LALCommitter: Adam Mercer <adam.mercer@ligo.org> " "$"
#define LAL_VCS_IDENT_STATUS "$" "LALStatus: CLEAN: All modifications committed " "$"

/* global variables for vcs information, defined in LALVCSInfo.c */
extern const char *lalVCSVersion;
extern const char *lalVCSId;
extern const char *lalVCSDate;
extern const char *lalVCSBranch;
extern const char *lalVCSTag;
extern const char *lalVCSAuthor;
extern const char *lalVCSCommitter;
extern const char *lalVCSStatus;

/* define vcs information structure */
typedef struct tagLALVCSInfo
{
  const char *version;
  const char *vcsId;
  const char *vcsDate;
  const char *vcsBranch;
  const char *vcsTag;
  const char *vcsAuthor;
  const char *vcsCommitter;
  const char *vcsStatus;
} LALVCSInfo;

/* header and library vcs information structures */
extern struct tagLALVCSInfo lalLibraryVCSInfo;
static const struct tagLALVCSInfo lalHeaderVCSInfo = { \
  LAL_VERSION, \
  LAL_VCS_ID, \
  LAL_VCS_DATE, \
  LAL_VCS_BRANCH, \
  LAL_VCS_TAG, \
  LAL_VCS_AUTHOR, \
  LAL_VCS_COMMITTER, \
  LAL_VCS_STATUS \
};

/*
 * function prototypes
 */

/* function to compare two LALVCSInfo structures */
int XLALVCSInfoCompare(const LALVCSInfo *header, const LALVCSInfo *library);

#ifdef __cplusplus
}
#endif

#endif /* _LALVCSINFO_H */

/*
 * vim: tw=0 ts=2 et
 */
