/*
 * $Id$
 *
 * Copyright (C) 2007  Kipp Cannon
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */


#ifndef _SEQUENCE_H
#define _SEQUENCE_H


#include <stddef.h>
#include <lal/LALDatatypes.h>

#include <lal/LALRCSID.h>
NRCSID(SEQUENCEH, "$Id:");




/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
COMPLEX8Sequence *XLALCreateCOMPLEX8Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
COMPLEX8Sequence *XLALCutCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
COMPLEX8Sequence *XLALCopyCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
COMPLEX8Sequence *XLALResizeCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
COMPLEX8Sequence *XLALShrinkCOMPLEX8Sequence (
	COMPLEX8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALCOMPLEX8Sum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
COMPLEX8 XLALCOMPLEX8Sum (
	const COMPLEX8 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALCOMPLEX8SumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL4 XLALCOMPLEX8SumSquares (
	const COMPLEX8 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALCOMPLEX8SequenceSum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
COMPLEX8 XLALCOMPLEX8SequenceSum (
	const COMPLEX8Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALCOMPLEX8SequenceSumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL4 XLALCOMPLEX8SequenceSumSquares (
	const COMPLEX8Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceConjugateP">
\idx{XLALConjugateCOMPLEX8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceConjugateP"> */
COMPLEX8Sequence *XLALConjugateCOMPLEX8Sequence (
        COMPLEX8Sequence *series
);
/* </lalVerbatim> */






/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
COMPLEX16Sequence *XLALCreateCOMPLEX16Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
COMPLEX16Sequence *XLALCutCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
COMPLEX16Sequence *XLALCopyCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
COMPLEX16Sequence *XLALResizeCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
COMPLEX16Sequence *XLALShrinkCOMPLEX16Sequence (
	COMPLEX16Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALCOMPLEX16Sum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
COMPLEX16 XLALCOMPLEX16Sum (
	const COMPLEX16 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALCOMPLEX16SumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL8 XLALCOMPLEX16SumSquares (
	const COMPLEX16 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALCOMPLEX16SequenceSum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
COMPLEX16 XLALCOMPLEX16SequenceSum (
	const COMPLEX16Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALCOMPLEX16SequenceSumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL8 XLALCOMPLEX16SequenceSumSquares (
	const COMPLEX16Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceConjugateP">
\idx{XLALConjugateCOMPLEX16Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceConjugateP"> */
COMPLEX16Sequence *XLALConjugateCOMPLEX16Sequence (
        COMPLEX16Sequence *series
);
/* </lalVerbatim> */






/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyREAL4Sequence (
	REAL4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
REAL4Sequence *XLALCreateREAL4Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
REAL4Sequence *XLALCutREAL4Sequence (
	REAL4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
REAL4Sequence *XLALCopyREAL4Sequence (
	REAL4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftREAL4Sequence (
	REAL4Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
REAL4Sequence *XLALResizeREAL4Sequence (
	REAL4Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkREAL4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
REAL4Sequence *XLALShrinkREAL4Sequence (
	REAL4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALREAL4Sum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL4 XLALREAL4Sum (
	const REAL4 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALREAL4SumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL4 XLALREAL4SumSquares (
	const REAL4 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALREAL4SequenceSum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL4 XLALREAL4SequenceSum (
	const REAL4Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALREAL4SequenceSumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL4 XLALREAL4SequenceSumSquares (
	const REAL4Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */







/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyREAL8Sequence (
	REAL8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
REAL8Sequence *XLALCreateREAL8Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
REAL8Sequence *XLALCutREAL8Sequence (
	REAL8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
REAL8Sequence *XLALCopyREAL8Sequence (
	REAL8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftREAL8Sequence (
	REAL8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
REAL8Sequence *XLALResizeREAL8Sequence (
	REAL8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkREAL8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
REAL8Sequence *XLALShrinkREAL8Sequence (
	REAL8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALREAL8Sum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL8 XLALREAL8Sum (
	const REAL8 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALREAL8SumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL8 XLALREAL8SumSquares (
	const REAL8 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALREAL8SequenceSum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL8 XLALREAL8SequenceSum (
	const REAL8Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALREAL8SequenceSumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
REAL8 XLALREAL8SequenceSumSquares (
	const REAL8Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */







/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyINT2Sequence (
	INT2Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
INT2Sequence *XLALCreateINT2Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT2Sequence *XLALCutINT2Sequence (
	INT2Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT2Sequence *XLALCopyINT2Sequence (
	INT2Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftINT2Sequence (
	INT2Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
INT2Sequence *XLALResizeINT2Sequence (
	INT2Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
INT2Sequence *XLALShrinkINT2Sequence (
	INT2Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT2Sum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
INT2 XLALINT2Sum (
	const INT2 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT2SumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT2 XLALINT2SumSquares (
	const INT2 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT2SequenceSum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
INT2 XLALINT2SequenceSum (
	const INT2Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT2SequenceSumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT2 XLALINT2SequenceSumSquares (
	const INT2Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */







/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyINT4Sequence (
	INT4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
INT4Sequence *XLALCreateINT4Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT4Sequence *XLALCutINT4Sequence (
	INT4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT4Sequence *XLALCopyINT4Sequence (
	INT4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftINT4Sequence (
	INT4Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
INT4Sequence *XLALResizeINT4Sequence (
	INT4Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
INT4Sequence *XLALShrinkINT4Sequence (
	INT4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT4Sum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
INT4 XLALINT4Sum (
	const INT4 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT4SumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT4 XLALINT4SumSquares (
	const INT4 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT4SequenceSum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
INT4 XLALINT4SequenceSum (
	const INT4Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT4SequenceSumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT4 XLALINT4SequenceSumSquares (
	const INT4Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */







/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyINT8Sequence (
	INT8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
INT8Sequence *XLALCreateINT8Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT8Sequence *XLALCutINT8Sequence (
	INT8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
INT8Sequence *XLALCopyINT8Sequence (
	INT8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftINT8Sequence (
	INT8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
INT8Sequence *XLALResizeINT8Sequence (
	INT8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
INT8Sequence *XLALShrinkINT8Sequence (
	INT8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT8Sum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
INT8 XLALINT8Sum (
	const INT8 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT8SumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT8 XLALINT8SumSquares (
	const INT8 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT8SequenceSum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
INT8 XLALINT8SequenceSum (
	const INT8Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALINT8SequenceSumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT8 XLALINT8SequenceSumSquares (
	const INT8Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */







/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyUINT2Sequence (
	UINT2Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
UINT2Sequence *XLALCreateUINT2Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT2Sequence *XLALCutUINT2Sequence (
	UINT2Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT2Sequence *XLALCopyUINT2Sequence (
	UINT2Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftUINT2Sequence (
	UINT2Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
UINT2Sequence *XLALResizeUINT2Sequence (
	UINT2Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkUINT2Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
UINT2Sequence *XLALShrinkUINT2Sequence (
	UINT2Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT2Sum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT2 XLALUINT2Sum (
	const UINT2 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT2SumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT2 XLALUINT2SumSquares (
	const UINT2 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT2SequenceSum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT2 XLALUINT2SequenceSum (
	const UINT2Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT2SequenceSumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT2 XLALUINT2SequenceSumSquares (
	const UINT2Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */







/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyUINT4Sequence (
	UINT4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
UINT4Sequence *XLALCreateUINT4Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT4Sequence *XLALCutUINT4Sequence (
	UINT4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT4Sequence *XLALCopyUINT4Sequence (
	UINT4Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftUINT4Sequence (
	UINT4Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
UINT4Sequence *XLALResizeUINT4Sequence (
	UINT4Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkUINT4Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
UINT4Sequence *XLALShrinkUINT4Sequence (
	UINT4Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT4Sum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT4 XLALUINT4Sum (
	const UINT4 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT4SumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT4 XLALUINT4SumSquares (
	const UINT4 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT4SequenceSum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT4 XLALUINT4SequenceSum (
	const UINT4Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT4SequenceSumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT4 XLALUINT4SequenceSumSquares (
	const UINT4Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */







/* <lalLaTeX file="SequenceDestroyP">
\idx{XLALDestroyUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceDestroyP"> */
void XLALDestroyUINT8Sequence (
	UINT8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCreateP">
\idx{XLALCreateUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCreateP"> */
UINT8Sequence *XLALCreateUINT8Sequence (
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCutUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT8Sequence *XLALCutUINT8Sequence (
	UINT8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceCutP">
\idx{XLALCopyUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceCutP"> */
UINT8Sequence *XLALCopyUINT8Sequence (
	UINT8Sequence *sequence
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceShiftP">
\idx{XLALShiftUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceShiftP"> */
void XLALShiftUINT8Sequence (
	UINT8Sequence *sequence,
	int count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALResizeUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
UINT8Sequence *XLALResizeUINT8Sequence (
	UINT8Sequence *sequence,
	int first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceResizeP">
\idx{XLALShrinkUINT8Sequence ()}
</lalLaTeX> <lalVerbatim file="SequenceResizeP"> */
UINT8Sequence *XLALShrinkUINT8Sequence (
	UINT8Sequence *sequence,
	size_t first,
	size_t length
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT8Sum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT8 XLALUINT8Sum (
	const UINT8 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT8SumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT8 XLALUINT8SumSquares (
	const UINT8 *data,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT8SequenceSum ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT8 XLALUINT8SequenceSum (
	const UINT8Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */

/* <lalLaTeX file="SequenceSumP">
\idx{XLALUINT8SequenceSumSquares ()}
</lalLaTeX> <lalVerbatim file="SequenceSumP"> */
UINT8 XLALUINT8SequenceSumSquares (
	const UINT8Sequence *sequence,
	size_t first,
	size_t count
);
/* </lalVerbatim> */





#endif  /* _SEQUENCE_H */
